﻿Copyright (c) (2014) Fluke Corporation.                  All rights reserved.
=============================================================================
INSTRUMENT:            Sub Tek TPS2000 Cal Steps RS-232 /9500
DATE:                  2014-03-05 08:28:59
AUTHOR:                Fluke
REVISION:              $Revision: 7421 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       335
CONFIGURATION:         Datron 9500
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        DAC, VY
#
#  Model(s) Covered:
#        TPS 2012, TPS 2014, TPS 2024
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub Tek TPS2000 Check Cal Acknowledge Resp RS-232
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#       BNC T adapter (f-f-f), 1 set
#       BNC T adapter (f-m-f), 2 sets
#       50 Ohm BNC(m)-(m) cable, 10 inch long, 4 sets
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  DISP         ******************************************************
  1.001  DISP         [32]                 ATTENTION
  1.001  DISP         The connection for every calibration step is critical
  1.001  DISP         A wrong connection or signal may result in a failed
  1.001  DISP         calibration. If the calibration fails, you must
  1.001  DISP         start the entire calibration procedure again.
  1.001  DISP         ******************************************************

  1.002  HEAD         CALIBRATION START
# This TARGET is here so "Repeat" will perform a new calibration.
  1.003  TARGET
  1.004  PORT         CAL:FACTORY

  1.005  IF           @NumChan == 2
  1.006  DISP         Connect the CH 1 Active Head to BNC T(f-f-f).
  1.006  DISP
  1.006  DISP         Connect the other sides of BNC T(f-f-f) in turn to
  1.006  DISP         UUT CH 1 and CH 2.
  1.007  DISP         The next operator intervention occurs in
  1.007  DISP         approximately 7 minutes, 40 seconds ...

  1.008  ELSE
  1.009  DISP         Connect the CH 1 Active Head to BNC T(f-f-f).
  1.009  DISP
  1.009  DISP         Connect one side of BNC T(f-f-f) to one BNC T(f-m-f).
  1.009  DISP
  1.009  DISP         Connect the other side of BNC T(f-f-f) to another
  1.009  DISP         BNC T(f-m-f).
  1.009  DISP
  1.009  DISP         Connect the other sides of two BNC T(f-m-f) in turn to
  1.009  DISP         UUT CH 1, CH 2, CH 3 and CH 4 via 4 BNC(m)-(m) cable.
  1.010  DISP         The next operator intervention occurs in
  1.010  DISP         approximately 6 minutes, 40 seconds ...
  1.011  ENDIF

# Specify the step number
  1.012  MATH         StepNo = 1

  1.013  DO

  1.014  IF           StepNo < 31
  1.015  MATH         HeadStr = "CH 1" & " to " & "CH " & @NumChan
  1.016  MATH         HeadStr = HeadStr & " CAL STEP " & StepNo
  1.017  ELSE
  1.018  MATH         HeadStr = "EXT TRIG" & " CAL STEP " & StepNo
  1.019  ENDIF

  1.020  HEAD         [V HeadStr]

  1.021  IF           StepNo == 1
  1.022  9500         0.0V                                              S

  1.023  ELSEIF       StepNo == 2
  1.024  9500         -20.0V                                            S

  1.025  ELSEIF       StepNo == 3
  1.026  9500         -2.0V                                             S

  1.027  ELSEIF       StepNo == 4
  1.028  9500         -1.6V                                             S

  1.029  ELSEIF       StepNo == 5
  1.030  9500         -1.2V                                             S

  1.031  ELSEIF       StepNo == 6
  1.032  9500         -0.8V                                             S

  1.033  ELSEIF       StepNo == 7
  1.034  9500         -0.4V                                             S

  1.035  ELSEIF       StepNo == 8
  1.036  9500         -0.32V                                            S

  1.037  ELSEIF       StepNo == 9
  1.038  9500         -0.2V                                             S

  1.039  ELSEIF       StepNo == 10
  1.040  9500         -0.16V                                            S

  1.041  ELSEIF       StepNo == 11
  1.042  9500         -0.08V                                            S

  1.043  ELSEIF       StepNo == 12
  1.044  9500         -0.04V                                            S

  1.045  ELSEIF       StepNo == 13
  1.046  9500         -0.03V                                            S

  1.047  ELSEIF       StepNo == 14
  1.048  9500         -0.02V                                            S

  1.049  ELSEIF       StepNo == 15
  1.050  9500         -0.015V                                           S

  1.051  ELSEIF       StepNo == 16
  1.052  9500         0.015V                                            S

  1.053  ELSEIF       StepNo == 17
  1.054  9500         0.02V                                             S

  1.055  ELSEIF       StepNo == 18
  1.056  9500         0.03V                                             S

  1.057  ELSEIF       StepNo == 19
  1.058  9500         0.04V                                             S

  1.059  ELSEIF       StepNo == 20
  1.060  9500         0.08V                                             S

  1.061  ELSEIF       StepNo == 21
  1.062  9500         0.16V                                             S

  1.063  ELSEIF       StepNo == 22
  1.064  9500         0.2V                                              S

  1.065  ELSEIF       StepNo == 23
  1.066  9500         0.32V                                             S

  1.067  ELSEIF       StepNo == 24
  1.068  9500         0.4V                                              S

  1.069  ELSEIF       StepNo == 25
  1.070  9500         0.8V                                              S

  1.071  ELSEIF       StepNo == 26
  1.072  9500         1.2V                                              S

  1.073  ELSEIF       StepNo == 27
  1.074  9500         1.6V                                              S

  1.075  ELSEIF       StepNo == 28
  1.076  9500         2.0V                                              S

  1.077  ELSEIF       StepNo == 29
  1.078  9500         20.0V                                             S

  1.079  ELSEIF       StepNo == 30
  1.080  9500         0.0V                                              S

  1.081  ELSEIF       StepNo == 31
  1.082  9500         *                                                 S
  1.083  DISP         Connect the CH 1 Active Head to UUT EXT TRIG.
  1.084  DISP         The next operator intervention occurs in
  1.084  DISP         approximately 30 seconds ...
  1.085  9500         -25.0V                                            S

  1.086  ELSEIF       StepNo == 32
  1.087  9500         -12.5V                                            S

  1.088  ELSEIF       StepNo == 33
  1.089  9500         -2.5V                                             S

  1.090  ELSEIF       StepNo == 34
  1.091  9500         2.5V                                              S

  1.092  ELSEIF       StepNo == 35
  1.093  9500         12.5V                                             S

  1.094  ELSEIF       StepNo == 36
  1.095  9500         25V                                               S
  1.096  ENDIF

  1.097  WAIT         -t 3 System settling...
  1.098  PORT         CAL:CONTINUE
  1.099  CALL         Sub Tek TPS2000 Check Cal Acknowledge Resp RS-232

  1.100  IF           @Error
  1.101  PORT         CAL:ABO
  1.102  END
  1.103  ENDIF

  1.104  MATH         StepNo = StepNo + 1
  1.105  UNTIL        StepNo > 36 || @Error

  1.106  MATH         Chan = 1

# Loop for every channel
  1.107  DO
  1.108  MATH         ChanEnd = 0
  1.109  MATH         SubNo = 1

# Loop for every sub step in this channel.
  1.110  DO
  1.111  MATH         HeadStr = "CH " & Chan & " CAL STEP " & StepNo
  1.112  HEAD         [V HeadStr]

  1.113  IF           SubNo == 1
  1.114  9500         *                                                 S
  1.115  DISP         Connect the CH 1 Active Head to UUT CH [V Chan].

  1.116  IF           Chan == 1 || Chan == 3
  1.117  DISP         The next operator intervention occurs in
  1.117  DISP         approximately 3 minutes ...
  1.118  ELSE
  1.119  DISP         The next operator intervention occurs in
  1.119  DISP         approximately 2 minutes, 40 seconds ...
  1.120  ENDIF

  1.121  9500         5kH                          1Vpp           LS    S

  1.122  ELSEIF       SubNo == 2
  1.123  9500         1MH                          100mVpp        LS    S

  1.124  ELSEIF       SubNo == 3
  1.125  9500         1MH                          1Vpp           LS    S

  1.126  ELSEIF       SubNo == 4
  1.127  9500         50kH                         1.2Vpp         LS    S

  1.128  ELSEIF       SubNo == 5
  1.129  9500         20MH                         1.2Vpp         LS    S

  1.130  ELSEIF       SubNo == 6
  1.131  MATH         MEM = @Bandwidth / 1E+6
  1.132  9500         MH                           30mVpp         LS    S

  1.133  ELSEIF       SubNo == 7
  1.134  MATH         MEM = @Bandwidth / 1E+6
  1.135  9500         MH                           60mVpp         LS    S

  1.136  ELSEIF       SubNo == 8
  1.137  MATH         MEM = @Bandwidth / 1E+6
  1.138  9500         MH                           120mVpp        LS    S

  1.139  ELSEIF       SubNo == 9
  1.140  MATH         MEM = @Bandwidth / 1E+6
  1.141  9500         MH                           300mVpp        LS    S

  1.142  ELSEIF       SubNo == 10
  1.143  MATH         MEM = @Bandwidth / 1E+6
  1.144  9500         MH                           600mVpp        LS    S

  1.145  ELSEIF       SubNo == 11
  1.146  MATH         MEM = @Bandwidth / 1E+6
  1.147  9500         MH                           1.2Vpp         LS    S

  1.148  ELSEIF       SubNo == 12
  1.149  9500         5kH                          2.5Vpp         LS    S

  1.150  ELSEIF       SubNo == 13
  1.151  9500         1MH                          2.5Vpp         LS    S

  1.152  ELSEIF       SubNo == 14
  1.153  9500         50kH                         2.5Vpp         LS    S

  1.154  ELSEIF       SubNo == 15
  1.155  9500         20MH                         2.5Vpp         LS    S

  1.156  ELSEIF       SubNo == 16
  1.157  MATH         MEM = @Bandwidth / 1E+6
  1.158  9500         MH                           2.5Vpp         LS    S

  1.159  ELSEIF       SubNo == 17
  1.160  MATH         MEM = @Bandwidth / 1E+6
  1.161  9500         MH                           5Vpp           LS    S

  1.162  IF           Chan == 2 || Chan == 4
  1.163  MATH         ChanEnd = 1
  1.164  ENDIF

  1.165  ELSEIF       SubNo == 18 && (Chan == 1 || Chan == 3)
  1.166  MATH         MEM = @Bandwidth / 1E+6
  1.167  9500         MH                           1.6Vpp         LS    S

  1.168  ELSEIF       SubNo == 19 && (Chan == 1 || Chan == 3)
  1.169  9500         1kH                          0.5Vpp         ED    S
  1.170  MATH         ChanEnd = 1
  1.171  ENDIF

  1.172  WAIT         -t 5 System Settling ...
  1.173  PORT         CAL:CONTINUE
  1.174  CALL         Sub Tek TPS2000 Check Cal Acknowledge Resp RS-232

  1.175  IF           @Error
  1.176  PORT         CAL:ABO
  1.177  END
  1.178  ENDIF

  1.179  MATH         SubNo = SubNo + 1
  1.180  MATH         StepNo = StepNo + 1
  1.181  UNTIL        ChanEnd

  1.182  MATH         Chan = Chan + 1
  1.183  UNTIL        Chan > @NumChan

  1.184  9500         *                                                 S
  1.185  END
